#include <bits/stdc++.h>

using namespace std;

int main(void)
{
    unsigned long long a, b, c, x, y, z, k1 = 0, k2 = 0, k3 = 0, d1 = 1, d2 = 1, d3 = 1;
    vector<unsigned long long> f;
    cin >> a;
    x = a;
    while(x != 0){
        x = x / 10;
        k1++;
        d1*=10;
    }
    cin >> b;
    y = b;
    while(y != 0){
        y = y / 10;
        k2++;
        d2*=10;
    }
    cin >> c;
    z = c;
    while(z != 0){
        z = z / 10;
        k3++;
        d3*=10;
    }


    f.push_back(a+b*d1+c*d1*d2);
    f.push_back(a+c*d1+b*d1*d3);
    f.push_back(b+a*d2+c*d1*d2);
    f.push_back(b+c*d2+a*d2*d3);
    f.push_back(c+a*d3+b*d1*d3);
    f.push_back(c+b*d3+a*d2*d3);
    sort(f.begin(),f.end());
    cout << f[5];


}